// STYLE COMPETENCES

// IMPORT
@import "./competences-anim";

// UNIVERSEL
.container {

    // WRAPPER
    .competences-wrapper {
        position       : relative;
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: space-around;
        width          : 95%;
        max-width      : 1024px;
        margin         : 8rem 0;

        @include tablet {
            margin: 6rem 0;
        }

        // COMPETENCES CERTIFICATIONS
        .competences-left {
            width     : 45%;
            padding   : 1rem;
            margin-top: 3rem;
            color     : #fff;

            @include tablet {
                width     : 60%;
                padding   : 1rem;
                margin-top: 1rem;
                color     : #000;
            }

            @include inter {
                width     : 75%;
                margin-top: 6rem;
            }

            @include mobile {
                width     : 90%;
                margin-top: 4rem;
            }

            // CERTIFICATIONS BOX - UNIVERSAL
            .competences-left-box {
                display       : flex;
                flex-wrap     : wrap;
                flex-direction: row;
                align-items   : center;
                max-width     : 400px;

                // AGILE + OPQUAST SPECIFICATION
                &.agile,
                &.opquast {
                    margin-bottom: 3rem;
                }

                h3,
                p {
                    min-width     : 290px;
                    padding-bottom: 0.5rem;

                    @include tablet {
                        width: auto;
                    }

                    @include mobile {
                        width    : 270px;
                        max-width: 270px;
                        min-width: 0;
                    }
                }

                // BOX BUTTON - UNIVERSAL
                .box-button {
                    opacity      : 0;
                    margin-left  : auto;
                    border-radius: 50%;
                    transform    : rotate(45deg);
                    cursor       : pointer;

                    .plus,
                    .circle {
                        fill: #fff;
                    }

                    @include tablet {

                        .plus,
                        .circle {
                            fill: $complementary;
                        }

                        &.hover {

                            .plus {
                                fill: $complementary;
                            }
                        }
                    }
                }

                // BOX BUTTON 1 SPECIFICATION
                #btn-competences-1 {

                    @include mobile {
                        opacity: 1;
                    }

                    &.animate {
                        opacity  : 1;
                        animation: 1200ms ease-out competences-button;
                    }
                }

                // BOX BUTTON 2 SPECIFICATION
                #btn-competences-2 {

                    @include mobile {
                        opacity: 1;
                    }
                    
                    &.animate {
                        opacity  : 1;
                        animation: 1400ms ease-out competences-button;
                    }
                }

                // BOX BUTTON 3 SPECIFICATION
                #btn-competences-3 {

                    @include mobile {
                        opacity: 1;
                    }
                    
                    &.animate {
                        opacity  : 1;
                        animation: 1600ms ease-out competences-button;
                    }
                }
            }
        }

        // COMPETENCES SKILL
        .competences-right {
            animation     : 500ms ease-in-out content-appear;
            display       : flex;
            flex-wrap     : wrap;
            flex-direction: row;
            width         : 45%;
            padding       : 1rem;
            margin-top    : 2rem;
            color         : #fff;

            @include tablet {
                justify-content: space-around;
                width          : 80%;
                padding        : 1rem;
            }

            @include inter {
                color: #000;
            }

            @include mobile {
                width     : 80%;
                height    : 550px;
                margin-top: 5rem;
            }

            // SKILL LIST TITLE
            h3 {
                padding-bottom: 1rem;

                @include inter {
                    color: $complementary;
                }

                @include mobile {
                    margin-top: 1rem;
                }
            }

            &.hide {
                display: none;
            }
            
            // SKILL BOX
            .competences-right-box {
                width : 40%;
                height: 360px;
                margin: 0 auto;

                @include tablet {
                    height: 320px;
                }

                @include mobile {
                    width : 70%;
                    height: auto;
                }

                // SKILL LIST CONTENT
                ul {
                    list-style-type: none;
                    padding        : 1rem;
                    border-left    : 1px solid #fff;
                    border-top     : 1px solid #fff;

                    @include inter {
                        border-left    : 1px solid #000;
                        border-top     : 1px solid #000;
                    }
    
                    li {
                        padding-bottom: 1rem;

                        &:last-child {
                            padding-bottom: 0.5rem;
                        }
                    }
                }
            }
        }

        // CERTIFICATION INFORMATIONS - UNIVERSAL
        .certfication-infos {
            display  : none;
            animation: 500ms ease-in-out content-appear;

            &.show {
                display       : flex;
                flex-wrap     : wrap;
                flex-direction: column;
                width         : 45%;
                height        : 360px;
                padding       : 1rem;
                margin-top    : 2rem;
                color         : #fff;

                @include tablet {
                    width : 90%;
                    height: 320px;
                }

                @include mobile {
                    width          : 85%;
                    height         : 550px;
                    justify-content: center;
                }
            }

            // CERTIF INFO TITLE - UNIVERSAL
            .certif-title {
                display: flex;
                width  : 100%;

                h3 {
                    padding-bottom: 1rem;
                    color         : #fff;
                    letter-spacing: 0.2rem;

                    @include inter {
                        color: $complementary;
                    }
    
                    @include mobile {
                        margin-top: 1rem;
                    }

                    svg {
                        margin: 0 0.5rem;

                        @include mobile {
                            padding-top: 1rem;
                            margin-left: 1rem;
                        }

                        path {
                            fill: #fff;

                            @include inter {
                                fill: $complementary;
                            }
                        }
                    }
                }

                svg {
                    margin-left: auto;
                    cursor     : pointer;

                    .plus,
                    .circle {
                        fill: #fff;

                        @include inter {
                            fill: $complementary;
                        }
                    }
                }
            }

            // CERTIF INFO CONTENT - UNIVERSAL
            p {
                padding    : 0.5rem 0 1rem 0;
                line-height: 1.5rem;

                @include inter {
                    color: #000;
                }
            }

            ul {
                list-style-type: none;
                padding        : 1rem;
                border-left    : 1px solid #fff;
                border-top     : 1px solid #fff;

                @include inter {
                    color: #000;
                }

                li {
                    padding-bottom: 1rem;

                    &:last-child {
                        padding-bottom: 0.5rem;
                    }
                }
            }
        }

        // TEXT BG
        #competences-bg {
            top        : -100px;
            word-break : break-all;
            line-height: 5rem;

            @include inter {
                width     : 430px;
                text-align: center;

                #break-word {

                    &:after {
                        content: "-";
                    }
                }
            }

            @include mobile {
                width      : 300px;
                line-height: 3rem;
                text-align : center;
            }
        }
    }
}

// FORM BG
#competences-form {
    opacity         : 0;
    z-index         : -1;
    position        : absolute;
    top             : 1585px;
    right           : 0px;
    width           : 100%;
    height          : 460px;
    background-color: $complementary;

    &.animate {
        opacity  : 1;
        width    : 100%;
        animation: 1000ms ease-in-out competences-form;
    }

    @include tablet {
        top   : 2130px;
        height: 360px;
    }

    @include inter {
        display: none;
    }
}
